Package org.apache.commons.math3.ml.neuralnet

# Class Network.NeuronIdentifierComparator

java.lang.Object
org.apache.commons.math3.ml.neuralnet.Network.NeuronIdentifierComparator

All Implemented Interfaces:
  `Serializable`, `Comparator<Neuron>`

Enclosing class:
  `Network`

public static class Network.NeuronIdentifierComparator extends Object implements Comparator<Neuron>, Serializable
Comparator that prescribes an order of the neurons according to the increasing order of their identifier.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NeuronIdentifierComparator()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(Neuron a, Neuron b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### NeuronIdentifierComparator

public NeuronIdentifierComparator()

## Method Details

### compare

public int compare(Neuron a, Neuron b)

Specified by:
  `compare` in interface `Comparator<Neuron>`